Bug 428513 - dependencies have different 32/64bit rules than installs
Summary: dependencies have different 32/64bit rules than installs
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 8
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-12 16:20 UTC by cje
Modified: 2014-01-21 23:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 16:30:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description cje 2008-01-12 16:20:42 UTC
Description of problem:
when yum picks up packages as dependencies it'll only install the x86_64
version.  if i specify the dependencies explicitly on the command line then it
picks up both i386 and x86_64.

Version-Release number of selected component (if applicable):
yum-3.2.8-2.fc8

How reproducible:
always afaik.

Steps to Reproduce:
1. yum remove mono-core (it removes tomboy and a few others)
2. try yum install tomboy (it says it's going to put all the x86_64 packages
back.  cancel that.)
3. try yum install tomboy mono-core (it installs both versions of mono-core)
  
Actual results:
as above

Expected results:
step 2 (by dependency) and step 3 (explicit) should do the same thing.

Additional info:
this problem was highlighted by attempting a yum upgrade from f7 to f8.  on the
yumupgradefaq it's handled to a certain extent by recommending a "yum
groupinstall sound-and-video gnome-desktop".

a workaround for the entire system is:
yum install `rpm -qa --qf "%{n}-%{v}-%{r} "`

once the system's in this state running the above tends to produce lots of file
conflicts so you have to remove stuff and reinstall explicitly specifying each
dependency.

:-)

Comment 1 Seth Vidal 2008-03-12 16:30:06 UTC
Half of this bug in rpm and requires without arches and laying down multilib
files in different transactions and half of it is yum.

in yum 3.2.10 and above(which you can get from rawhide) you can set
multilib_policy=best in your yum.conf and then yum install commands will only
operate on the single arch for your system, not on the compat arch, too.

With regard to updates that's a component we have to fix in the packaging and/or
in rpm.



Note You need to log in before you can comment on or make changes to this bug.